<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<div *ngIf="ready">


  <voting-period-notification [operation]="operation" [operationStatus]="operationStatus"></voting-period-notification>

  <div *ngIf="mode == 'view'">
    <div fxLayout="row wrap" fxLayoutAlign="space-between stretch">
      <selected-electoral-authority-key-card
        [key]="electoralAuthorityKey"
        [completed]="selectedElectoralAuthorityKeyCompleted"
        [readOnly]="selectedElectoralAuthorityKeyInReadonly | async">
      </selected-electoral-authority-key-card>

      <voting-site-period-card
        [period]="votingSitePeriod"
        [completed]="votingSitePeriodCompleted"
        [readOnly]="votingSitePeriodInReadonly | async">

      </voting-site-period-card>
      <div style="width: 60rem;"></div>
    </div>
  </div>

  <div *ngIf="mode !== 'view'">
    <edit-with-side-bar>
      <edit-content>
        <div *ngIf="mode  == 'selected-electoral-authority-key'">
          <selected-electoral-authority-key-edit #formHolder [operation]="operation"
                                                 [readOnly]="selectedElectoralAuthorityKeyInReadonly | async"
                                                 [(key)]="electoralAuthorityKey">
          </selected-electoral-authority-key-edit>
        </div>

        <div *ngIf="mode == 'voting-site-period'">
          <voting-site-period-edit #formHolder [operation]="operation" [(period)]="votingSitePeriod"
                                   [readOnly]="votingSitePeriodInReadonly | async">
          </voting-site-period-edit>
        </div>
      </edit-content>


      <side-bar-back-button title="{{ 'operation-management.step.voting-period' | translate }}"
                            [routerLink]="baseRouterLink"></side-bar-back-button>
      <mat-divider></mat-divider>

      <side-bar-item title="{{ 'voting-period.selected-electoral-authority-key.sidebar.title' | translate }}"
                     required=true
                     [complete]="selectedElectoralAuthorityKeyCompleted"
                     [inError]="false"
                     [locked]="selectedElectoralAuthorityKeyInReadonly | async"
                     [routerLink]="[baseRouterLink , 'selected-electoral-authority-key']"></side-bar-item>
      <mat-divider></mat-divider>

      <side-bar-item title="{{ 'voting-period.voting-site-period.sidebar.title' | translate }}"
                     required=true
                     [complete]="votingSitePeriodCompleted"
                     [inError]="false"
                     [locked]="votingSitePeriodInReadonly | async"
                     [routerLink]="[baseRouterLink , 'voting-site-period']"></side-bar-item>
      <mat-divider></mat-divider>

    </edit-with-side-bar>
  </div>


</div>
